CHANGELOG
=========


Version 2.5.1 [2013-06-25]
--------------------------

- Add 'toggle preview placement' menu option - the video preview can be placed now to the right of the script
- Add 'open script's directory' menu option
- Add 'interpret escape sequences' and accelerator keys to the find/replace dialog
- Fixes to the handling of function definitions
- Other minor changes and fixes


Version 2.5.0 [2013-06-04]
--------------------------

- Tabs can be assigned to groups. Tabs on the same group share the timeline, optionally applying offsets
- Add 'enable scroll wheel through tabs on the same group' setting
- Snippets of text can be associated to a tag and inserted in the script
- Remove 'customize autocomplete keyword list' and add its functionality to the 'AviSynth function definition' dialog 
- Improve 'autocomplete parameter' menu option and add filename string auto-completation
- Add highlighting styles for unknown functions, parameters and assignments
- Add setting for highlighting words as functions when in doubt
- Fix slow typing on very large scripts
- Scripts can be exported as HTML
- Add 'quick save image' menu option
- Add setting for customizing the default filename pattern used for saving images
- Add setting for not prompting for JPEG quality when saving
- Allow to save RGB48 data as 16-bit PNG
- Improve output path options in the 'Save Image Sequence' macro
- Update the current frame number when switching tabs also when the preview is hidden
- Check that requesting a frame succeeded before attempting to use it
- Fix error message appearing on preview refresh for user sliders with a custom modulo on its label
- Fix empty translation files not being filled on start
- Other minor changes and fixes


Version 2.4.2 [2013-03-10]
--------------------------

- Function definitions can be imported now from a new wiki
- Allow specifying what sources of function definitions to read on start
- Updates to the filter database
- Add syntax for function parameters not included by default in autocomplete, [arg info]
- Add 'autocomplete parameter' menu option, Ctrl+Alt+Space shortcut
- Add 'copy image to clipboard' menu option
- Speed-up handling of a large number of bookmarks
- Fix corruption of the margin of the video preview
- Fix tab renaming
- Add a new macro function 'ClearBookmarks'
- Improve 'Bookmarks at Intervals' macro
- Other minor changes and fixes


Version 2.4.1 [2012-12-05]
--------------------------

- Add 'reload script' menu option
- Add 'use large size video controls' setting
- Add 'invert scroll wheel direction' setting
- Improve video zooming on Ctrl + mouse wheel
- Fix the 'navigate' menu options needing to be pressed two times when using a separate window for the video preview
- Fix the dragging of the handle of the separate window preview's slider
- Fix ScriptFile and ScriptName being swapped
- Accept several clip properties on the Pipe macro function's command line
- Other minor fixes


Version 2.4.0 [2012-11-27]
--------------------------

- Add AvxSynth support. AvsPmod runs now natively on *nix
- Add script playback (video only)
- Add 'keep variables on refreshing' menu option, useful for dealing with heavy scripts
- Detect correctly AviSynth 2.6.0 new color spaces
- Add temporary support for VapourSynth AVIFile scripts (.vpy)
- Add option to specify directly the location of avisynth.dll/libavxsynth.so
- Add option to change the autoload plugins directory
- Add option to choose an alternative working directory
- Accept some variables on 'program settings' paths: %programdir%, %avisynthdir%, %pluginsdir%. Useful for portable use.
- Add 'undo close tab':
  - file menu -> undo close tab
  - middle click on empty tab bar space
  - Ctrl+Shift+N default hotkey
- New find and replace dialogs with added features
- Add auto-crop option to the crop editor
- The crop editor can be used now with the video preview zoomed or flipped
- Add a new variable to the video status bar - bookmark title (%BM)
- Improve avs and avsi files association option:
  - on Windows, prompt to associate files for all users or only the current one and ask for permissions for the former
  - on *nix, this choice is made by starting AvsPmod as root to associate for all users. The application is also registered on the desktop environment's menu.
  - make the option toggleable
- Improve default filename on prompts:
  - add two new settings to the options dialog, 'save/load' tab
  - better basename choice on save image dialog and fix last saved image's name still being used when changing tabs
  - add 'default' parameter to several macro functions
- The mouse wheel can be used now to scroll through tabs
- Ctrl + mouse wheel can be used to zoom the video preview
- If 'enable scroll wheel through similar tabs' is off the mouse wheel can be used to scroll vertically the video preview, or horizontally with Shift pressed.
- The CLI script encoder now checks PATH and the tools subdirectory before asking for the path to the executable
- Fix opening and saving Unicode scripts
- Fix decoding of command line arguments
- Fix ScriptFile, ScriptName and ScriptDir functions not returning the right value [AviSynth 2.6.0]
- Fix 'share timeline' option being always in effect
- Fix 'last scrolled frame' menu option for 'update video while dragging' on
- Fix tabs without filename still being closed when canceling a save dialog
- Fix stop button of the avs2avi GUI tool
- Add new macro function Pipe, for sending video frame data to external applications
- Add 'propose' and 'only' parameters to the GetScriptFilename macro function
- Add 'clean' parameter to the GetText macro function
- Improvements on the 'Import bookmarks from file' macro:
  - add timecode format v1 parsing
  - add support for list of frames on TFM log u/b section and optimize its parsing
- Merge 'Save bookmarks to images' macro into 'Save Image Sequence'
- Fix Python 2.6 compatibility
- Other minor changes and fixes


Version 2.3.1 [2012-07-22]
--------------------------

- Add detached video preview window visibility options:
  - Always on top of other windows ('Options' menu)
  - Always on top of the main window ('Program Settings' dialog, needs restart)
- Add printing support 
- Disable showing line numbers if 'line margin width' option is 0 
- Don't fail to launch AvsPmod if the option files are damaged
- Work around event ID overlapping when working with a large number of bookmarks by disabling 'Go to bookmark' submenu for more than 1000
- Add version info to the macro API
- Add draw lines option to the GetPixelInfo macro function, and fix marks position
- Rename the last executed macro return value from 'last' to 'avsp.Last'.  The former is still accepted.
- Add 'Macros - Extra' section to the translation files.  Strings that no longer exist are deleted from the translation files when updating to a new version.  That means that translation strings added for the user for macros not bundled with AvsPmod are lost. This new section at the end is copied verbatim from the original file.
- Rename 'Bookmarks from Chapter' macro to 'Import bookmarks from file' and add support for some other file types:
  - TFM log (combed, possible combed and u/v mismatches)
  - x264 QP file
  - XviD and SCXviD log
- Fix performance issues in the 'Bookmarks at Intervals' macro
- Other minor changes and fixes


Version 2.3.0 [2012-06-04]
--------------------------

- Add an option to decide based on the video resolution the coefficients used in the conversion to RGB for the video preview
- Add 'Run analysis pass' to the 'Video' menu (for two-pass filters)
- Add periodic session backup option
- Add an option to not prompt to save a script if it doesn't already exist on the filesystem
- Add original source time (%ST) and encoded frame type (%EFT) to the video status bar options (only works with ffms as source filter and no temporal filters in the script)
- VirtualDub and VFAPI plugins can be also inserted now with the 'Insert plugin...' menu option and the 'GetPluginString' macro function, and be dropped over a script
- Fix exception opening the crop editor
- The default filename in a save script dialog wasn't taken from the first source in the script in some cases
- Saving an image with an unsaved script not longer causes to include a '*' in the default output filename
- Solved single instance + restart AvsPmod + child process still running -> socket error
- The interface language can be chosen now from the options. Several translations are included.
- Add macro files to the translations
- The macro documentation can be checked now with 'help(avsp.function)' or 'help(avsp)' from a macro
- All included macros and macro functions support unicode strings now
- Add persistent storage to macros - 'Options' dictionary 
- Macros can run now in its own thread by including a comment line like: # run macro in new thread
- The macro API functions are now thread-safe
- Add a new macro function 'SafeCall' for thread-safe calls in separate-thread macros and tools
- Add a new macro function 'GetPixelInfo' that waits for the user to click on the video preview and returns the coordinates and colour of that point
- Add a new macro function 'GetVar' to retrieve the contents of a specified Avisynth variable. Some limitations apply.
- Update GetTextEntry macro function with new types of entry, multiple entries per row and customizable width, backwards compatible
- Add an optional cancel button to the MsgBox macro function
- SaveImage macro function also accepts now JPEG quality as a parameter
- Fix ProgressBox macro function 'Cancel' button
- Fix SaveScript macro function 'filename' parameter
- Add new macro 'ConditionalReader file from bookmarks'
- Update some macros with the improvements in GetTextEntry
- A number of intervals can be specified directly now in the 'Bookmarks at Intervals' macro
- Set the Large Address Aware flag
- Python 2.6-2.7 is required now
- Other minor changes and fixes


Version 2.2.1 [2012-01-04]
--------------------------

- Pixel info remains in the statusbar while typing
- Fixed bug in definition of assumefps/changefps/convertfps
- Fixed bug with preview caching
- Fixed a bug parsing some avsi files
- Fixed a bug when removing plugins
- Fixed a bug related to folding
- Fixed a bug which caused slowdowns when incomplete string highlighting is enabled
- Fixed a bug when opening a 2nd instance of avspmod
- Added Shift bookmarks by # of frames macro by wOxxOm
- Other minor bugfixes and tweaks


Version 2.2.0 [2011-06-29]
--------------------------

- Reorganized several menus and changed some default settings to improve usability.
- Tabs can be repositioned and renamed.
- Scripts can be encoded without saving.
- Improvements to macros.
- When moving cursor on the preview, show pixel information even if the preview isn't focused.
- Frame number textbox can accept mm:ss format, and you can input -1 to go to the last frame.
- User sliders can have their values rescaled.
- MANY minor bugfixes and improvements


Version 2.1.8 [2011-06-02]
--------------------------

- When text has changed, left-clicking the video preview will refresh the preview
- Fixed pressing enter while in a text box in slider window not updating the video preview
- Add an option 'Refresh preview automatically' to 'Options|Program settings|Video 1'. If disabled, switching focus to the video preview or changing sliders wont cause a refresh
- Fixed an issue with mouse release errors


Version 2.1.7.1 [2011-05-27]
----------------------------

- Fixed a bug when changing shortcuts


Version 2.1.7 [2011-05-27]
--------------------------

- Fixed garbage data displayed on shortcut labels
- Fixed wrong checked/unchecked status for 'Flip' menu items.
- Improve menu item 'Hide the preview' to 'Show/Hide the preview.
- Fixed missing customized function presets (This situation happened if an uninstalled plugin is not in filterdb.dat and has no customized definition. Now, avsp will check and keep its definiton as customized definition to avoid missing its preset. If the reason is from renaming, you can copy old preset to new one and then delete. But, leaving it there is also harmless.)


Version 2.1.6 [2011-05-23]
--------------------------

- Add 'Show autocomplete with variables' to 'Program setting|Text2'. AvsPmod will parse the script and add variable names to the autocomplete list.
- Add 'Show autocomplete on single matched' to 'Program setting|Text2'. This can be helpful when using lowercase, such as for a variable name.
- Add 'Show autocomplete with icons' to 'Program setting|Text2'. This should be helpful to decide which key is better to finish autocomplete, <Enter> or <Tab>. There are 3 different types of icon to indicate how well a filter's preset is defined:
  - OK icon: well-defined (100%)
  - Smile icon: good (>70%)
  - None: 30-70%
  - Question icon: bad (<30%)
- Remove "Allow hyphen in identifier" and also remove illegal long names from autocomplete list.
- Add 'ESC' into "Configure shortcuts->Advanced". If checked, one press doesn't run shortcut command when autocomplete or calltip is active. A second press is needed. If unchecked, directly run command. Default: unchecked.
- Add "Show warning on bad plugin naming" to "Program settings->Misc". If plugin dll files contain characters other than alphanumeric or underscore, it will be suggested that you rename them.
- Allow autocomplete auto active on starting with underscore if there are matched words existing.
- When autocomplete or calltip is active, pressing related shortcut again will cancel it.
- Fixed an issue with filenames in the encoding gui.


Version 2.1.5 [2011-05-17]
--------------------------

- "Configure shortcuts" has been improved
- Add 'Zoom in' & 'Zoom out' to 'Zoom' menu
- If AvsPmod failed to load avisynth.dll, suggest user to install/reinstall avisynth
- Fixed regression from 2.1.4 where some options would reset to default values
- Fixed various bugs related to autocomplete and syntax highlighting
- Add option 'Amount of letters typed' at 'Program settings|Text1'. It is active when 'Show autocomplete on capital letters' is enabled.


Version 2.1.4 [2011-05-09]
--------------------------

- Added a checkbox 'Allow hyphen character in identifier' in 'Options|Program settings|Text 2'. If you notice any problems with this, try unchcking it, and please report the problem.
- Auto recover session from an unexpected shutdown, even you disabled load session at startup.
- 'Tab' key in the slider window is changed to navigate to the next control inside this window.
- If a frame is already cached, don't call avisynth.dll function repeatedly.
- Add a new menu item "Edit|aviSynth function|Autocomplete all <Alt+Space>" It brings up the FULL autocomplete list, even if you have customized the list.
- Add a new menu item "Edit|Style comment Alt+Q"
- Add the link of avspmod thread on doom9's forum to 'About' dialog.
- Add numpad+ and numpad- shortcuts for Zoom.
- Add an option to set color of fold margin in "Options|Fonts and colors|Advanced".
- Modified the way shortcuts are handled. Shortcuts involving the escape key are no longer global shortcuts.
- Changed some default shortcuts. If you are using an old options.dat, you may need to set these manually:
    - Shift+Tab is now unindent selection
    - Esc now shifts focus between text and video


Version 2.1.3 [2011-04-27]
--------------------------

- Fixed some bugs related to dlls with underscores
- Replaced 'DLL underscored' textbox with a button to bring up a dialog. Add a checkbox on it to turn on/off auto-detect routine.


Version 2.1.2 [2011-04-25]
--------------------------

- Add a menu item "Copy avisynth error to clipboard" in "Edit|Miscellaneous". OCR text macro is no longer needed.
- Add an option "Find within a word to show autocomplete" at menu "Options|Program settings|Text 1"
- "save bookmarks to images" macro now lets you specify a jpeg quality level
- Fixed some bugs with function definitions that have underscores in their name
- Added 'Bookmarks at Interval' macro
- Added 'Random clip order' macro
- Add a text entry "DLL underscored" in "Options|AviSynth function definition...|Plugin tab". There may be some rare cases where a dll with an underscore in its name does not autodetect properly. These situations can be resolved by manually putting the base names into this box.


Version 2.1.1 [2011-04-17]
--------------------------

- Fixed bug with saving images introduced in 2.1.0


Version 2.1.0 [2011-04-17]
--------------------------

- Support code folding on block-comment and end-comment.
- If ESC isn't defined as a shorcut, don't register it as a system hotkey.
- New option "Draw lines at fold points" in menu "Options|Program settings|Text 2".
- New macro "Save Image Sequence"
- Saving an image as .jpg now prompts the user to specify the quality level
- Forgot to include avs2avi in the past several versions, it has returned.


Version 2.0.9 [2011-04-14]
--------------------------

- Code folding at curly braces {}. May be improved later.
- Added an option 'show tabs in multiline style' in 'Options|Program settings|Misc'
- Added "copy as time" to the frame number text box
- Added an option "Don't preview when loading a session" in 'Options|Program settings|Video 1'
- If 'paranoia' mode turned on, don't preview when loading a session
- 'Save bookmarks to images' macro updated to support more image formats besides just bmp
- Many bugfixes


Version 2.0.8 [2011-03-20]
--------------------------

- Customize the autocomplete list (options>Text1)
- Support c-style comment '/*...*/', nesting comment '[*...[*...*]...*]' and keyword comment '__END__'
- No delay when zooming
- A new control '\T\T' helps prevent truncation of status bar information
- Frame count text turns red if the current position is a bookmark
- Draw a blue triangle for a titled bookmark
- Fix delay when using many bookmarks
- Change the behaivor of clicking on a calltip to close it. Clicking with ALT/CTRL/SHIFT to open the URL
- Keep user's frame/time input in right-click context menu when focus is lost
- Added "Flip" menu to flip the output display
- Added "SwapUV" to the RGB->YUV menu
- New "Save bookmarks to bmp" macro
- Added/Updated some plugin function definitions


Version 2.0.7 [2011-03-01]
--------------------------

- Function definitions can be imported from avs/avsi files.
- Many new bookmarking features including titles and matroska importer
- Error messages can be grabbed using OCR via a macro
- More formats for saving images
- YUV->RGB menu for selecting different color matrix for preview
- Removed menu item for associating with avs files, because it doesn't work on most operating systems
- Several small changes and bugfixes


Version 2.0.6 [2011-02-11]
--------------------------

- Updated the code base to be compatible with Python 2.7 and wxPython 2.8
- Rework the code causing customized filter definitions lost
- Add a new 'using Dissolve' option for trim dialog.
- Shortcuts dialog is resizable, no longer displays an error
- Fix 'tab' character having the wrong width when using monospaced font
- Build process has been simplified
- Many other minor bugfixes and changes
- Several user function definitions contributed by RiCON


Version 2.0.5 [2010-04-10]
--------------------------

- Updated defaults for 14 core filters, and added a handful of definitions for some userscripts
- Restored the mp4 encoding tool, as I had mistakenly decided that it was broken. In fact, only the presets were outdated. I have included new x264 presets, and also added the ability to set a CRF rather than a bitrate.
- Added new macro which lets you create a chapter list from your bookmarks. AvsPmod is now a great tool for creating matroska chapter files.
- Added new menu items: 'Open Avisynth plugins folder' & 'Open macros folder'


Version 2.0.4 [2010-03-17]
--------------------------

- Fixed arrow keys not working in the text area
- Fixed icon not appearing in vista/7
- Fixed custom function definitions not being saved (bug existed in avsp 2.0.2) [this fix may introduce a new bug]
- Included MSVCP71.dll, which may be needed on some systems
- Added some additional default file extension templates
- Added some macros


Version 2.0.3 [2010-03-08]
--------------------------

- Fixed clipboard data being deleted when closing AvsP
- Included avs2avi.exe
- Removed outdated encoding gui from the tools menu


Version 2.0.2 [2007-10-27]
--------------------------

- Added numerous entries to function database (contributions by Harukalover, danielkun)
- Added ability to open multiple scripts in Open dialog (suggested by Underground78)
- New syntax in extension templates for relative paths (suggested by krisq)
- Changed database editing for plugins to reduce redundancy with short and long names
- Fixed program hanging on text highlight (thanks miamicanes, Harukalover, foxyshadis)
- Fixed issue with translation messages (thanks zemog)
- Fixed crash when deleting existing bookmark (thanks AlanHK)
- Manually hidden sliders now stay hidden on video refresh (thanks AlanHK)
- Fixed minor bug with autocompletion and underscore character


Version 2.0.1 [2007-09-16]
--------------------------

- Improved automatic user slider construction (suggested by AlanHK, bidmead)
- Added line number traceback for macro errors (suggestedy by foxyshadis)
- Disabled error line highlight when line-by-line update enabled (suggested by Zarxrax)
- Added warnings to crop editor for invalid crop values (suggested by AlanHK)
- Brought back shortcuts for function definitions in script menu (suggested by Alain2)
- Added close all tabs function (suggested by Serbianboss)
- Added option to disable scroll wheel through tabs (suggested by foxyshadis)
- Added option to disable frames for each tab (suggested by Harukalover)
- Changed autocomplete to show single item lists (suggested by Alain2)
- Changed title for separate video window to full script name (suggeseted by Alain2)
- Fixed minor error when configuring shortcuts (thanks RedDwarf1, krisq)
- Fixed next bookmark function to always search forward (thanks AlanHK)
- Changed "True" and "False" in database to lowercase (thanks AlanHK)
- Fixed typo in options dialog (thanks AlanHK)
- Fixed bug with manual activation of filter help (thanks Alain2)
- Fixed bug with macro functions GetWidth/GetHeight returning zoomed values (thanks Alain2)
- Fixed display issue with slider window and zoom window fit (thanks rfmmars)


Version 2.0.0 [2007-08-29]
--------------------------

- Fully automatic user sliders (enabled by default in this release)
- Added default presets for each filter (suggested by Zarxrax)
- New "Tools" directory designed for AvsP plugins (suggested by Rahima, Fizick)
- New resize calculator tool (suggested by chipzoller)
- New encoder tool supporting any command line encoders (through presets)
- Script tabs now keep track of their own frames
- Added new side button to toggle sliders
- Added reminder images in the script tabs when video has focus
- Added several new configurable text colors
- Improved filter documentation filename searching
- Added configurable web search for filter docs whenever local docs not found
- Changed external player to use original script whenever possible
- Changed program to open socket for single instance check only when necessary
- Improved rules for displaying calltips
- Improved macros menu organization with submenus defined by subdirectories
- Improved SetBookmark() macro performance with large lists (suggested by AlanHK)
- Fixed calltip bug with parentheses inside string (thanks niiyan)
- Fixed calltip bug with filters with zero arguments (thanks niiyan)
- Fixed calltip bug with "Frequent calltips" turned off (thanks Alain2)
- Fixed asterisk on title bar in separate video window (thanks krisq)
- Fixed color customization to allow non-white default background (thanks RedDwarf1)
- Fixed open with unicode filename bug (thanks Zarxrax)


Version 1.4.0 [2007-06-05]
--------------------------

- Fully automatic sliders (experimental, turned off by default)
- Simplified translation update procedure (suggested by Henrikx)
- Added option for single instance (suggested by krisq, foxyshadis)
- Added source extension filters to "Open..." dialog (suggested by 3ngel)
- Changed default filename to work with unknown extensions (suggested by Zarxrax)
- Opening an already opened file prompts for reload if changes exist (suggested by Kuukunen)
- Toggle scrap window now works when scrap window focused (thanks AlanHK)
- Changed error message when Avisynth fails to load video (thanks lolent)
- Added macro for setting bookmarks (suggested by AlanHK)
- Sliders no longer generated on error clips
- Improved filter calltips to work with script line breaks
- Added clear all text option for scrap window
- Minor improvements to window layout code
- Fixed translation import problem (thanks Henrikx)
- Fixed bug with AvsP installed in directory with unicode characters (thanks Aeolis)
- Fixed display bug when resizing the script window with separate video window (thanks Alain2)
- Fixed several unicode bugs (thanks Zarxrax)
- Fixed crash when avisynth output has no video


Version 1.3.9 [2007-05-05]
--------------------------

- Remember the last saved image path (suggested by 3ngel)
- Changed "Show calltip" to work when cursor is in filter name (thanks AlanHK)
- Changed editor to properly clear undo buffer when loading a file
- Merged windows xp and 98 versions
- Fixed parity info reported by AvsP (thanks krisq, ChiDragon)
- Fixed crash when switching zoom modes (thanks Alain2)
- Fixed unnecessary scrollbars with zoom "fit inside window" (thanks foxyshadis)
- Fixed unicode bug when saving script
- Fixed unicode bug with recent file list (thanks Henrikx)
- Fixed unicode bug with Avisynth install directory (thanks Aeolis, foxyshadis)
- Minor fixes to window layout code


Version 1.3.8 [2007-04-24]
--------------------------

- Changed display code to retrieve frames directly from Avisynth (contributed by tsp)
- Highlight error line in script on error clip
- Added new video zoom option to fit entirely inside the window (suggested by Alain2)
- Added "always on top" option for main window (suggested by Alain2)
- Added method to specify cursor position in filter presets (suggested by krisq)
- Allow for global variables in macros (suggested by Eggroll)
- Remember last path when configuring doc path/url for function help (suggested by Spuds)
- Path to AvsP help directory now configurable (suggested by Fizick)
- Dump program error messages to both window and log file for easier bug reporting
- Fixed unicode error on startup (thanks Spuds)
- Fixed unicode error on file open (thanks martino)
- Fixed bug with avs2avi gui and spaces in avs filename (thanks tony62)
- Accurate yuv colors reported in video status bar (thanks jmac698)
- Minor fixes to window layout code


Version 1.3.7 [2007-03-07]
--------------------------

- Make up/down/left/right video shortcuts editable (suggested by Alain2, avid_avs_user)
- Removed modifier restrictions for keyboard shortcuts (suggested by avid_avs_user)
- Allow language translation for Ctrl, Alt, Shift (suggested by Henrikx)
- Added menu items for trim selection start/end (suggested by avid_avs_user)
- Added ability to export/import individual filter presets (suggested by krisq)
- Added pixel position and color information to status bar (suggested by nibbles, jmac698)
- Added macro to get filter info from avisynth (needs Avisynth 2.5.7+) (contributed by tsp)
- Added ability to label user slider separators (suggested by R3Z)
- Added ability to free all script videos from memory (suggested by foxyshadis)
- Use the source filename as default in the file save dialog (suggested by Zarxrax)
- Updated extension-based templates with .dga files and AVCSource() (suggested by unskinnyboy)
- Added option to not prompt to unsaved scripts on program exit (suggested by foxyshadis)
- Added several help menu items linking to website documentation
- Improved subwindow layout management
- Improved calltip displaying during window focus/motion
- Minor changes to the display code
- Fixed issues with syntax highlighting default style (thanks Alain2)
- Fixed bug with unicode characters in script (thanks Spuds)
- Added workaround for top-level variables in macros (thanks tsp)
- Fixed minor bug when switching from zoom fit to regular zoom
- Fixed several subwindow positioning issues


Version 1.3.6 [2007-02-20]
--------------------------

- Saved files no longer lose user slider/toggle tag info (suggested by foxyshadis)
- Prompt to reload modified files when loading a session (suggested by foxyshadis)
- Added visual bookmarks along the video slider (suggested by doxville, avid_avs_user)
- Added trim selection editor (suggested by Zarxrax, doxville, avid_avs_user)
- Added option to not load bookmarks on startup (suggested by avid_avs_user)
- Added crop editor options to insert at cursor, copy to clipboard (suggested by krisq)
- Improved end of script detection for crop editor
- Reorganized video menu for clarity (suggested by avid_avs_user)
- Improved save image dialog with specific extensions (suggested by foxyshadis)
- Created windows 98 version (suggested by affter333)
- Fixed crash when creating a new tab while crop editor is shown
- Fixed small bug on program exit with multi-monitor setup (thanks foxyshadis)
- Fixed several issues with syntax highlighting (thanks Alain2)


Version 1.3.5 [2007-01-14]
--------------------------

- Added more font and color options (suggested by Alain2)
- Added customizable keyword lists (suggested by Alain2)
- Updated filter information with internal clip properties and functions
- Improved autocompletion for functions with no arguments
- Added several new macro functions (ExecuteMenuCommand, GetBookmarkList, GetAvs2aviDir, GetSliderTexts)
- Added slider optimization macro with complete genetic algorithm implementation
- Added option to associate .avs files with AvsP (suggested by foxyshadis, JoeTF)
- Fixed minor issue with potential conflicting keyboard shortcuts (thanks Alain2)


Version 1.3.4 [2006-12-16]
--------------------------

- Support for separate video window zoom fit
- Updated included core filter definitions to AviSynth v2.56
- Added menu options for goto next/previous bookmark (suggested by Alain2)
- Option to quickly show AviSynth function definition dialog (suggested by Alain2)
- Added new tag for separators in slider window (suggested by krisq)
- Minor rearrangement of menu items for clarity (suggested by Fizick)
- Fixed several issues with zoom fit feature (thanks foxyshadis, zemog, doxville, Alain2)
- Fixed small bug with slider validation (thanks zemog)


Version 1.3.3 [2006-11-14]
--------------------------

- Added video preview zoom to fit window (suggested by Alain2)
- Remember last zoom setting on startup
- Added small indicator when zoom not at 100%
- Added right-click menu to script tabs (suggested by zemog)
- Added video custom jump size (suggested by Alain2)
- Register all keyboard shortcuts with separate video window (suggested by krisq)
- Improved auto-fit for separate video window (suggested by foxyshadis)
- Updated about box with website info (suggested by krisq)
- Added extra validation for user sliders (suggested by Naito)
- Prevent showing preview on startup if script causes hard crash (suggested by jmac698)
- Fixed positioning issues for multi-monitor setup (thanks foxyshadis)
- Fixed bug with manual autocomplete on number (thanks Alain2)
- Fixed small bug with offscreen window layout code (thanks Alain2)
- Fixed issue with saving files with unicode text and line breaks (thanks Naito)
- Allow tab as keyboard shortcut for separate video window (thanks krisq)


Version 1.3.2 [2006-11-02]
--------------------------

- Added option to make video preview a separate window
- Added option to quickly backup the current session (suggested by foxyshadis)
- Added "paranoia mode" to backup the current session whenever video is refreshed
- Increased size of window dividers to make easier to click (suggested by Alain2)
- Change autoparentheses levels option labels to be clearer (suggested by Alain2)
- Added option to set minimum text window size (suggested by foxyshadis)
- Added option to not focus video window when refreshing (suggested by krisq)
- Added ability to clear a shortcut in the shortcut editor
- Minor improvements to line-by-line update mode
- Improved to multi-monitor support
- Fixed bug with dragging crop edges (thanks krisq)
- Fixed left-click to focus video window (thanks krisq)
- Fixed autocomplete before operator (thanks foxyshadis)
- Fixed bug with remembering program size when maximized (thanks krisq)


Version 1.3.1 [2006-10-24]
--------------------------

- Click and drag video preview similar to Acrobat Reader
- Store last program size and position (suggested by Alain2)
- Minor improvements to window layout code
- Refresh video appropriately when creating new scripts
- Fixed bug with unicode characters in slider labels (thanks Rippraff)


Version 1.3.0 [2006-10-23]
--------------------------

- Rewrote entire layout code, size-adjustable subwindows
- Make cursor visible when using shift-tab shortcut (suggested by Alain2)
- Option to show full pathname on program title (suggested by Alain2)
- Filter help shortcut now works when cursor within filtername (suggested by Alain2)
- Don't change position when disabling preview (suggested by Alain2)
- Added option to allow multi-line non-triple strings (thanks Alain2)
- Option to use actual avs script with external preview (suggested by Alain2)
- Added ability to copy script to clipboard (suggested by communist)
- Fixed minor bug with calltip and selecting text
- Fixed status bar message for 25% and 50% zoom


Version 1.2.1 [2006-10-07]
--------------------------

- Custom syntax highlighter, more than 30 individually configurable fonts/colors
- Added ability to override all fonts with a monospaced font (suggested by Richard Berg)
- Added recent files menu (suggested by check)
- Added shortcut for moving lines up/down (suggested by communist)
- Added method to disable video preview (suggested by Alain2)
- Added option to specify initial line margin width (suggested by nibbles)
- Added optional arguments to pass to external player
- Updated several macro functions, see new examples and macros_readme.txt for info
- Added option to disable frequent calltips, show only upon typing open parentheses
- Added ability to use keyboard shortcut for filter help file (suggested by Alain2)
- Added option to wrap the text (suggested by Alain2)
- Added option to highlight current line (suggested by Alain2)
- Added 25% and 50% zoom levels (suggested by communist)
- Moved line-by-line update mode to menu option, to allow for keyboard shortcut
- Changed data format for options files to editable text files
- Fixed minor bug with improper video updating (thanks nibbles)
- Fixed small mistakes with some messages (thanks zemog)
- Fixed minor bug with tabs and spaces
- Fixed minor bug with session saving/loading
- Cleaned up minor issues with tooltip code


Version 1.2.0 [2006-10-02]
--------------------------

- Customizable keyboard shortcuts (suggested by Zarxrax)
- Aspect ratio info on status bar in video mode (suggested by krisq)
- Added option for constant video update when dragging (suggested by doxville)
- Added option for line-by-line video preview update (suggested by Zarxrax)
- Center window when it goes off the screen (suggested by Ebobtron)
- Added ability to mark and add trim selections (suggested by doxville)
- Make shortcut Ctrl-G highlight frame text ctrl (suggested by Champs)
- Copy a script by double-clicking the tab (suggested by Zarxrax)
- Added options for using text tabs, tab length (suggested by foxyshadis)
- Auto save session on exit, load on startup if no args (suggested by foxyshadis)
- Minor improvements to calltip argument highlight code (suggested by tsp)
- Minor improvements to avs2avi frontend
- Fixed bug in "Options -> Settings" dialog (thanks nibbles)
- Fixed bug with avs2avi frontend and translation (thanks Fizick)
- Fixed error when right-clicking a popup tooltip (thanks Zarxrax)
- Fixed bug saving .avsi file with .avs extension (thanks foxyshadis)


Version 1.1.6 [2006-09-26]
--------------------------

- Added ability to specify a file or url for AviSynth help (suggested by Fizick)
- Added shortcut Shift-Tab to switch focus between the text and video (suggested by krisq)
- Fixed bug with one frame long video (thanks mkanel)
- Fixed read from avsfilters.txt feature (thanks mkanel)
- Fixed minor bug with Replace and Find Next (thanks mkanel)
- Cleaned up calltip and argument highlight code to be more robust


Version 1.1.5 [2006-09-23]
--------------------------

- Show filter documentation by clicking the calltip (suggested by Fizick)
- Toggle portions of script text (suggested by Dr. D)
- Now possible to specify modulo values with user sliders (suggested by krisq)
- Remember path of last saved session (suggested by Dr. D)
- Reworked filter presets to be easier to edit
- Fixed mouse wheel tab switching when zoomed (thanks Dr. D)
- Fixed text visibility issue when using Find or Find next (thanks mkanel)
- Fixed small mistakes with some messages (thanks niiyan)
- Fixed small bug with recentdir pathname
- Fixed minor video preview window sizing issues
- Fixed minor bug when closing the only tab


Version 1.1.2 [2006-09-14]
--------------------------

- Highlight current argument in calltips (suggested by tsp)
- Editing AviSynth filter info no longer requires program restart
- Enable localization of program's interface language (suggested by Fizick)
- Added popup messages to example macros to prevent confusion
- Fixed issue with case-sensitive extensions (thanks midelic)
- Cleaned up dynamic preview sizing code (thanks matrix)
- Fixed some stray bugs with wx namespace
- Fixed program association with .ses file


Version 1.1.0 [2006-09-10]
--------------------------

- Scrolled window for user sliders (suggested by Mtz, mimage)
- Buttons on user sliders for fine tuning (suggested by Mtz)
- Click blue slider value to reset to initial value (suggested by Mtz, mimage)
- Method for storing filter auto-complete presets (suggested by mimage)
- Separate filters.dat (suggested by foxyshadis, Fizick)
- Save all scripts as session with user sliders (suggested by Dr. D)
- Preview zoom levels (suggested by Dr. D)
- Validate unique slider name
- Set initial maxWidth, maxHeight from user resolution
- Fixed improper opening files of .avsi files (thanks mkanel)
- Fixed minor issue with working dir when opening files (thanks krisq)
- Fixed commented sliders (thanks vcmohan)
- Fixed issue of multiple tabs of same filename
- Fixed multi-calltip bug
- Fixed off-screen calltips
- Fixed float/integer issue with setting user slider value (thanks matrix)



Version 1.0.4 [2006-09-06]
--------------------------

- Read in filter info from text file named "avsfilters.txt" (suggested by foxyshadis, tsp)
- Popup calltips show whenever cursor is anywhere inside a filter's arguments (suggested by foxyshadis)
- Calltips close on left mouse click in the text


Version 1.0.3 [2006-09-04]
--------------------------

- Fixed issue with spaces in filenames when using external preview (thanks unskinnyboy, pookie)
- Changed refresh keyboard shortcut to F5 (to be more similar to vdub), shift-F5 now hides the preview (suggested by Mug Funky)


Version 1.0.2 [2006-09-04]
--------------------------

- First release
